MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > Class Template Reference

`#include <MyGUI_Delegate.h>`

## Public Types
typedef IDelegate5< TP1, TP2, TP3, TP4, TP5 > | IDelegate
typedef std::list< IDelegate * > | ListDelegate
typedef ListDelegate::iterator | ListDelegateIterator
typedef ListDelegate::const_iterator | ConstListDelegateIterator

## Public Member Functions
| CMultiDelegate5 ()
| ~CMultiDelegate5 ()
bool | empty () const
void | clear ()
void | clear (IDelegateUnlink *_unlink)
CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > & | operator+= (IDelegate *_delegate)
CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > & | operator-= (IDelegate *_delegate)
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5)
| CMultiDelegate5 (const CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > &_event)
CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > & | operator= (const CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > &_event)
CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > & | operator= (IDelegate *_delegate)

## Detailed Description

### template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5>
class MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >

Definition at line 203 of file MyGUI_Delegate.h.

## Member Typedef Documentation

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

typedef ListDelegate::const_iterator MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::ConstListDelegateIterator

Definition at line 209 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

typedef IDelegate5<TP1, TP2, TP3, TP4, TP5> MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::IDelegate

Definition at line 206 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

typedef std::list<IDelegate* > MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::ListDelegate

Definition at line 207 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

typedef ListDelegate::iterator MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::ListDelegateIterator

Definition at line 208 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::CMultiDelegate5 | ( |  | ) |
| inline

Definition at line 211 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::~CMultiDelegate5 | ( |  | ) |
| inline

Definition at line 212 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::CMultiDelegate5 | ( | const CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > & | _event | ) |
| inline

Definition at line 296 of file MyGUI_Delegate.h.

## Member Function Documentation

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

void MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::clear | ( |  | ) |
| inline

Definition at line 226 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

void MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::clear | ( | IDelegateUnlink * | _unlink | ) |
| inline

Definition at line 238 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

bool MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::empty | ( |  | ) | const
| inline

Definition at line 217 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

void MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5
| ) |  |
| inline

Definition at line 279 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

CMultiDelegate5<TP1, TP2, TP3, TP4, TP5>& MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::operator+= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 250 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

CMultiDelegate5<TP1, TP2, TP3, TP4, TP5>& MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::operator-= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 263 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

CMultiDelegate5<TP1, TP2, TP3, TP4, TP5>& MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::operator= | ( | const CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 > & | _event | ) |
| inline

Definition at line 307 of file MyGUI_Delegate.h.

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

CMultiDelegate5<TP1, TP2, TP3, TP4, TP5>& MyGUI::delegates::CMultiDelegate5< TP1, TP2, TP3, TP4, TP5 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Deprecated:
  "use : operator += "

Definition at line 321 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h